# Uses of Interface
org.opensaml.saml.saml2.metadata.RequestedAttribute

Packages that use RequestedAttribute
Package
Description
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.
org.opensaml.saml.ext.reqattr
Interface for SAML V2.0 Protocol Extension For Requesting Attributes Per Request.
org.opensaml.saml.ext.reqattr.impl
Implementations for SAML V2.0 Protocol Extension For Requesting Attributes Per Request.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of RequestedAttribute in org.opensaml.saml.common.binding.impl

Fields in org.opensaml.saml.common.binding.impl with type parameters of type RequestedAttribute
Modifier and Type
Field
Description
`private Collection<RequestedAttribute>`
SAMLAddAttributeConsumingServiceHandler.`requestedAttributes`
`RequestedAttribute` list - if specified.
Methods in org.opensaml.saml.common.binding.impl that return types with arguments of type RequestedAttribute
Modifier and Type
Method
Description
`protected Collection<RequestedAttribute>`
SAMLAddAttributeConsumingServiceHandler.`getRequestedAttributes(MessageContext messageContext, AuthnRequest authn)`
Grab the `RequestedAttribute` (if any) from the `AuthnRequest`.

## Uses of RequestedAttribute in org.opensaml.saml.ext.reqattr

Methods in org.opensaml.saml.ext.reqattr that return types with arguments of type RequestedAttribute
Modifier and Type
Method
Description
`List<RequestedAttribute>`
RequestedAttributes.`getRequestedAttributes()`
Gets a list of child `RequestedAttribute`s.

## Uses of RequestedAttribute in org.opensaml.saml.ext.reqattr.impl

Fields in org.opensaml.saml.ext.reqattr.impl with type parameters of type RequestedAttribute
Modifier and Type
Field
Description
`private XMLObjectChildrenList<RequestedAttribute>`
RequestedAttributesImpl.`requestedAttributes`
The policies.
Methods in org.opensaml.saml.ext.reqattr.impl that return types with arguments of type RequestedAttribute
Modifier and Type
Method
Description
`List<RequestedAttribute>`
RequestedAttributesImpl.`getRequestedAttributes()`
Gets a list of child `RequestedAttribute`s.

## Uses of RequestedAttribute in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type RequestedAttribute
Modifier and Type
Method
Description
`List<RequestedAttribute>`
AttributeConsumingService.`getRequestedAttributes()`
Gets the attributes this service requests.

## Uses of RequestedAttribute in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement RequestedAttribute
Modifier and Type
Class
Description
`class`
`RequestedAttributeImpl`
Concrete implementation of `RequestedAttribute`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type RequestedAttribute
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<RequestedAttribute>`
AttributeConsumingServiceImpl.`requestedAttributes`
RequestedAttribute children.
Methods in org.opensaml.saml.saml2.metadata.impl that return RequestedAttribute
Modifier and Type
Method
Description
`RequestedAttribute`
RequestedAttributeBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`RequestedAttribute`
RequestedAttributeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type RequestedAttribute
Modifier and Type
Method
Description
`List<RequestedAttribute>`
AttributeConsumingServiceImpl.`getRequestedAttributes()`
Gets the attributes this service requests.